Basic case with kbd standoffs, good for a dry fit
This commit is contained in:
parent
4267a8a384
commit
19c8679df0
37
guardacosas/modelo.py
Normal file
37
guardacosas/modelo.py
Normal file
@ -0,0 +1,37 @@
|
|||||||
|
import cadquery2 as cq
|
||||||
|
from cadquery2 import exporters
|
||||||
|
|
||||||
|
|
||||||
|
# The hole for the "peg" where this goes
|
||||||
|
peg_front = 9.5
|
||||||
|
peg_side = 9
|
||||||
|
peg_height = 12
|
||||||
|
|
||||||
|
# General size of the handle
|
||||||
|
width = 20
|
||||||
|
length = 70
|
||||||
|
height = 16
|
||||||
|
|
||||||
|
# General shape of the handle seen from above
|
||||||
|
|
||||||
|
handle_shape_top = cq.Sketch().trapezoid(width, length, 85).vertices().fillet(3)
|
||||||
|
hole_shape = cq.Sketch().trapezoid(peg_front, peg_side, 90)
|
||||||
|
bottom_cutout = cq.Sketch().trapezoid(width, length - width, 90)
|
||||||
|
|
||||||
|
handle = (
|
||||||
|
cq.Workplane("XY")
|
||||||
|
.placeSketch(handle_shape_top)
|
||||||
|
.extrude(height)
|
||||||
|
.faces("<Z")
|
||||||
|
.workplane(centerOption="CenterOfBoundBox")
|
||||||
|
.center(0, length/2 - width/2)
|
||||||
|
.placeSketch(hole_shape)
|
||||||
|
.cutBlind(-peg_height)
|
||||||
|
.faces("<Z")
|
||||||
|
.workplane(centerOption="CenterOfBoundBox")
|
||||||
|
.center(0, -width/2)
|
||||||
|
.placeSketch(bottom_cutout)
|
||||||
|
.cutBlind(-height/2)
|
||||||
|
)
|
||||||
|
|
||||||
|
exporters.export(handle, "guardacosas.stl")
|
42170
notebook_nueva/model.stl
Normal file
42170
notebook_nueva/model.stl
Normal file
File diff suppressed because it is too large
Load Diff
71
notebook_nueva/modelo.py
Normal file
71
notebook_nueva/modelo.py
Normal file
@ -0,0 +1,71 @@
|
|||||||
|
import cadquery2 as cq
|
||||||
|
from cadquery2 import exporters
|
||||||
|
|
||||||
|
# Base for the notebook. Basically a kbd base that extends back
|
||||||
|
# as much as possible
|
||||||
|
|
||||||
|
# Size of the whole object
|
||||||
|
width = 295
|
||||||
|
height = 165
|
||||||
|
thickness = 25
|
||||||
|
|
||||||
|
kbd_height = 100
|
||||||
|
kbd_angle = 6
|
||||||
|
|
||||||
|
# Thickness of the outer material
|
||||||
|
shell_t = 3
|
||||||
|
|
||||||
|
# Insert Positions
|
||||||
|
ti_radius = 2.35
|
||||||
|
ti_depth = 6.25
|
||||||
|
|
||||||
|
pillars = (
|
||||||
|
cq.Sketch()
|
||||||
|
.push(
|
||||||
|
[
|
||||||
|
(19, -16.5),
|
||||||
|
(133, -16.5),
|
||||||
|
(247.5, -16.5),
|
||||||
|
(24, -86),
|
||||||
|
(142.5, -91),
|
||||||
|
(261.5, -86),
|
||||||
|
]
|
||||||
|
)
|
||||||
|
.trapezoid(12, 12, 90, mode="a")
|
||||||
|
.circle(ti_radius, mode="s")
|
||||||
|
)
|
||||||
|
|
||||||
|
|
||||||
|
model = (
|
||||||
|
cq.Workplane("XY")
|
||||||
|
.workplane(offset=thickness / 2)
|
||||||
|
.tag("mid_height")
|
||||||
|
# Hollow box
|
||||||
|
.box(width, height, thickness)
|
||||||
|
.edges("|Z")
|
||||||
|
.fillet(2)
|
||||||
|
.faces(">Z")
|
||||||
|
.shell(-shell_t)
|
||||||
|
# Make the lower part solid to mount the kbd
|
||||||
|
# .faces("<Z")
|
||||||
|
# .workplane(centerOption="CenterOfBoundBox", offset=-thickness / 2)
|
||||||
|
# .center(0, height * 0.5 - 20)
|
||||||
|
# .box(width, 40, thickness)
|
||||||
|
# # Mounting pillars on the kbd top
|
||||||
|
.faces(">Z")
|
||||||
|
.workplane(centerOption="CenterOfBoundBox")
|
||||||
|
.center(-width/2, 17)
|
||||||
|
.transformed(rotate=cq.Vector(kbd_angle, 0, 0))
|
||||||
|
.tag("sloped")
|
||||||
|
.placeSketch(pillars)
|
||||||
|
.extrude(-1000)
|
||||||
|
# Remove the excess extrusion
|
||||||
|
.workplaneFromTagged("mid_height")
|
||||||
|
.transformed(offset=cq.Vector(0, 0, -thickness / 2))
|
||||||
|
.split(keepTop=True)
|
||||||
|
# Slope for the beyboard
|
||||||
|
.workplaneFromTagged("sloped")
|
||||||
|
.split(keepBottom=True)
|
||||||
|
)
|
||||||
|
|
||||||
|
exporters.export(model, "model.stl")
|
Loading…
Reference in New Issue
Block a user